香港独立IP空间
香港php空间
美国php空间
域名注册

很多时候无忧主机小编都会遇到各种情况的升级之后不兼容,比如网站程序升级后不兼容老版本的模板,php升级之后不支持原来的程序等,这次有个客户是发现他的网站在ie9之后显示不正常,最终无忧主机小编猜测可能是网站开发的比较早,应该是ie9之前的某个版本开发的,所以在浏览器升级之后,网站的样式有一些不兼容的可能。

解决方法不同IE版本下页面变形错位的方法,这里介绍最简单的方法:

 

方法:推荐这种办法:在相关页面(如:index.php文件,或者头部模板文件)的head中加入如下代码:

<meta http-equiv=”X-UA-Compatible” content=”IE=8″ />

这样可以强迫IE9或以上版本使用IE8(也可以设置为IE6)的渲染方式,是一个非常不错的解决方法。

 

这个方法的原理分析:

用一个简单的Meta声明,我们可以指定在IE8中的渲染引擎使用“某IE版本”的渲染方式, 例如插入这样一段代码到文档的head区域——

<meta http-equiv=”X-UA-Compatible” content=”IE=9″ />

可以让IE9渲染用最新的标准模式渲染该页面,这个语法也可以应用到其他浏览器上,如:

<meta http-equiv=”X-UA-Compatible” content=”IE=9;FF=3;OtherUA=4″ />

 

无忧主机相关文章推荐阅读:

解决DISCUZ在IE11下发帖编辑器不完全显示问题

本文地址:http://www.51php.com/others/16565.html

喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

阅读本文的人还阅读:


搜索技术文档